Router (Mule ESB 2.2.1 API)
Keywords: org.mule.api.routing.Router interface

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.mule.api.routing
Interface Router

All Superinterfaces:
  Disposable, Initialisable

All Known Subinterfaces:
  InboundRouter, InterfaceBinding, OutboundRouter, ResponseRouter

All Known Implementing Classes:
  AbstractCorrelationAggregator, AbstractEventAggregator, AbstractMessageSplitter, AbstractOutboundRouter, AbstractRecipientList, AbstractResponseAggregator, AbstractResponseRouter, AbstractRoundRobinMessageSplitter, AbstractRouter, BankQuotesInboundAggregator, BankQuotesResponseAggregator, ChainingRouter, CorrelationEventResequencer, DefaultInterfaceBinding, EndpointSelector, ExceptionBasedRouter, ExpressionMessageSplitter, ExpressionRecipientList, FilterBasedXmlMessageSplitter, FilteringOutboundRouter, ForwardingConsumer, IdempotentReceiver, IdempotentSecureHashReceiver, InboundPassThroughRouter, ListMessageSplitter, MessageChunkingAggregator, MessageChunkingRouter, MulticastingRouter, OutboundPassThroughRouter, ResponseCorrelationAggregator, SelectiveConsumer, SimpleCollectionAggregator, SimpleCollectionResponseAggregator, SingleResponseRouter, StaticRecipientList, SxcFilteringOutboundRouter, TemplateEndpointRouter, TransformerRouter, WireTap, XmlMessageSplitter

    public interface Router

extends Initialisable, Disposable

`Router` is a base interface for all routers.

Field Summary

Fields inherited from interface org.mule.api.lifecycle.Initialisable
`PHASE_NAME`

Fields inherited from interface org.mule.api.lifecycle.Disposable
`PHASE_NAME`

Method Summary
`RouterStatistics` | `getRouterStatistics()`
`void` | `setRouterStatistics(RouterStatistics stats)`

Methods inherited from interface org.mule.api.lifecycle.Initialisable
`initialise`

Methods inherited from interface org.mule.api.lifecycle.Disposable
`dispose`

Method Detail

### setRouterStatistics

    void setRouterStatistics(RouterStatistics stats)

### getRouterStatistics

    RouterStatistics getRouterStatistics()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003-2009 MuleSource, Inc.. All Rights Reserved.